package ass.sivakfil.cvi4.task2;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.Locale;

import org.joda.time.DateTime;
import org.joda.time.format.DateTimeFormat;
import org.joda.time.format.DateTimeFormatter;

public class Task2Dates {
	
	public static final String DATE_TIME_PATTERN = "EEE, MM. dd. YYYY hh:mm:ss Z";
	
	public static void main(String[] args) throws IOException {
		DateTimeFormatter format = DateTimeFormat.forPattern(DATE_TIME_PATTERN).withLocale(Locale.US);
		
		Files.lines(Paths.get("dates.txt"))
		.map(line -> DateTime.parse(line, format))
		.forEach(System.out::println);
		
		// TODO: use Try from javaslang to handle error in stream
		// TODO: use isAfter method to reduce stream to most recent date time
	}
	
}
